# Interface IArchivePatientCarePlanService

Namespace
  adas_core.Application.Services.Interfaces

Assembly
  adas-core.Application.dll

    public interface IArchivePatientCarePlanService

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### FindAll()

Asynchronously retrieves all patient care plans.

    Task<List<PatientCarePlan>> FindAll()

#### Returns

Task<List<PatientCarePlan>>

  A task that represents the asynchronous operation, containing a list of PatientCarePlan objects.

### FindByPatientId(ObjectId)

Retrieves a list of patient care plans associated with the specified patient identifier.

    Task<List<PatientCarePlan>?> FindByPatientId(ObjectId id)

#### Parameters

`id` ObjectId

  The unique identifier of the patient whose care plans are being retrieved.

#### Returns

Task<List<PatientCarePlan>>

  A task that represents the asynchronous operation. The task result contains a list of PatientCarePlan objects if found, or `null` if no care plans exist for the patient.

### FindByPatientId(string)

Retrieves the list of care plans associated with the specified patient identifier.

    Task<List<PatientCarePlan>?> FindByPatientId(string id)

#### Parameters

`id` string

  The unique identifier of the patient whose care plans should be retrieved.

#### Returns

Task<List<PatientCarePlan>>

  A task that returns a list of PatientCarePlan records for the patient, or `null` if no care plans are found.

### FindByPatientNumber(string)

Retrieves a list of patient care plans associated with the specified patient number.

    Task<List<PatientCarePlan>?> FindByPatientNumber(string id)

#### Parameters

`id` string

  The patient number used to locate the associated care plans.

#### Returns

Task<List<PatientCarePlan>>

  A task that returns a list of PatientCarePlan for the given patient number, or `null` if no care plans are found.

### InsertManyAsync(List<PatientCarePlan>)

Asynchronously inserts a collection of patient care plans into the data store in a single bulk operation.

    Task InsertManyAsync(List<PatientCarePlan> patientCarePla)

#### Parameters

`patientCarePla` List<PatientCarePlan>

  The list of PatientCarePlan entities to be inserted.

#### Returns

Task

### InsertOneAsync(PatientCarePlan)

Asynchronously inserts a single patient care plan and returns the inserted entity, or null if the insert did not produce a result.

    Task<PatientCarePlan?> InsertOneAsync(PatientCarePlan patientCarePla)

#### Parameters

`patientCarePla` PatientCarePlan

  The patient care plan to insert.

#### Returns

Task<PatientCarePlan>

  A Task<TResult> that represents the asynchronous insert operation, containing the inserted PatientCarePlan or null if no entity was returned.